/********************************* (C) РОТЕК ***********************************
 * @module  wdg
 * @file    wdg.c
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   External watchdog (pin PE15)
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */

#include "stm32f4xx.h"  
#include "wdg.h"
#include "gpio.h"

#include "FreeRTOS.h"
#include "task.h"

/**
  * @brief  Сброс внешнего WDT
  */
void vTaskWdt(void *param)
{
  uint8_t val = 0;
  for (;;)
  {	
	val ^= 1;
	gpio_set(_WDG, val);
    vTaskDelay(125);
  }	
}

/********************************* (C) РОТЕК **********************************/
